<?php
declare(strict_types = 1);

class_exists('DB') || die;

require_once(__DIR__ . '/classes/AdminGroups.class.php');

template:
{
	AdminGroups::tplSection('delete');

	Template::set('delete',
	[
		'button_text' => __('Supprimer le groupe'),
		'confirm_text' => __('Supprimer le groupe ?'),
		'context_text' => __('La suppression de ce groupe transférera tous'
			. ' ses membres vers le groupe "Nouveaux membres".')
	]);

	if (!Template::$data['delete_group'])
	{
		App::redirect('group/' . $_GET['group_id']);
	}
}

update:
{
	AdminGroups::delete();
}

get_data:
{
	AdminGroups::getGroup();

	AdminGroups::getGroups();
}
?>